## mysql-gui-tools 5.0r14+openSUSE

=== administrator/testing/test-application/Makefile ===

TEST_TIMEOUT=120000


GCDIR=../../../common/

TUT_INCLUDES=-I$(GCDIR)/library/testing/include/

CXX=g++
CXXFLAGS=-Wall -Wno-unknown-pragmas -fpermissive
INCLUDES=-Iinclude `mysql_config --cflags` $(TUT_INCLUDES) `pkg-config glib-2.0 libxml-2.0 --cflags` -I../../library/include -I$(GCDIR)/library/base-library/include -I$(GCDIR)/library/utilities/include -I$(GCDIR)/library/utilities/shared_include `pcre-config --cflags` -I$(GCDIR)/library/sql-parser/include
LIBS=`mysql_config --libs` `pkg-config libxml-2.0 glib-2.0 --libs` `pcre-config --libs` ../../library/source/libadmin.a\
	 $(GCDIR)/library/utilities/source/.libs/libguiutil.a  $(GCDIR)/library/base-library/source/.libs/libmysqlx.a \
 	$(GCDIR)/library/sql-parser/source/.libs/libsqlparser.a

FLCONV_DIR=$(GCDIR)/tools/FilelistConvertTool/source
FLCONV=$(FLCONV_DIR)/flconv
PROJFILE=MySQLAdministratorTest.bdsproj


all: test_all
	


update: flconv $(PROJFILE)
	./flconv --mode=dump --list-file=filelist.tmp --proj-file=$(PROJFILE)
	sed -e s'#\\#/#g' filelist.tmp > filelist
	echo >> filelist
	rm -f filelist.tmp


update-bds: flconv $(PROJFILE)
	./flconv --mode=update --list-file=filelist --proj-file=$(PROJFILE)

flconv:
	make -C $(FLCONV_DIR)
	ln -s $(FLCONV) .

include filelist

OBJECTS=$(addsuffix .o,$(basename $(SOURCES)))


test_all: $(OBJECTS)
	$(CXX) -o $@ $^ $(LIBS) $(TEST_CFLAGS)

test: test_all
	$(GCDIR)/library/testing/run_tests.py $(TEST_TIMEOUT) --data=res --data=../unit-tests/test-data 

%.o: %.cpp
	$(CXX) -o $@ -c $^ $(CXXFLAGS) $(INCLUDES) $(TEST_CFLAGS)

clean:
	rm -f $(OBJECTS)

=== common/library/testing/Makefile ===
TEST_TIMEOUT=60

CXX=g++
CXXFLAGS=-Wall -Wno-unknown-pragmas -ggdb3 -fpermissive
INCLUDES=-Iinclude `mysql_config --cflags` -I../base-library/include -I../utilities/include -I../utilities/shared_include\
	-I../generic-runtime/include\
	-I../sql-parser/include\
	 `pkg-config glib-2.0 libxml-2.0 --cflags` `pcre-config --cflags` 

GRT_LIBS=../generic-runtime/source/.libs/libgrt.a -luuid `pkg-config gthread-2.0 --libs`

LIBS=`mysql_config --libs` `pkg-config libxml-2.0 glib-2.0 --libs`\
	$(GRT_LIBS)\
	 ../base-library/source/.libs/libmysqlx.a ../utilities/source/.libs/libguiutil.a\
	`pcre-config --libs` ../sql-parser/source/.libs/libsqlparser.a


all: test_all
	


update: flconv CommonTest.bdsproj
	./flconv --mode=dump --list-file=filelist.tmp --proj-file=CommonTest.bdsproj
	sed -e s'#\\#/#g' filelist.tmp > filelist
	echo >> filelist
	rm -f filelist.tmp


update-bds: flconv CommonTest.bdsproj
	sed -e s'#/#\\#g' filelist > filelist.tmp
	echo >> filelist.tmp
	./flconv --mode=update --list-file=filelist.tmp --proj-file=CommonTest.bdsproj

flconv:
	make -C ../../tools/FilelistConvertTool/source flconv
	cp ../../tools/FilelistConvertTool/source/flconv .

include filelist

OBJECTS=$(addsuffix .o,$(basename $(SOURCES)))


test_all: $(OBJECTS)
	$(CXX) -o $@ $^ $(LIBS) $(TEST_CFLAGS)

%.o: %.cpp
	$(CXX) -o $@ -c $^ $(CXXFLAGS) $(INCLUDES) $(TEST_CFLAGS)


test: test_all
	./run_tests.py $(TEST_TIMEOUT) --data=test-data --data=res --data=../../res

clean:
	rm -f $(OBJECTS)

=== migration-tool/source/agent/Makefile ===


INCLUDES=`pkg-config glib-2.0 --cflags` `mysql_config --cflags` `pcre-config --cflags`\
	-I../../../common/library_grt/include -I../../../common/library/include

LIBS= -L../../../common/library_grt/source -lgrt\
	-L../../../common/library/source -lmysqlx\
	`pcre-config --libs`\
	`pkg-config glib-2.0 libxml-2.0 --libs`  -llualib -llua \

CXX=colorgcc
CXXFLAGS=-Wall -ggdb $(INCLUDES)

OBJECTS=MNSocket.o MNServerSocket.o MTAgent.o main.o




mtagent: $(OBJECTS)
	g++ -o $@ $^  $(LIBS) 

clean:
	rm -f $(OBJECTS)

=== migration-tool/source/linux/Makefile ===
CC=colorgcc
DEFINES=-DENABLE_JAVA_MODULES -DENABLE_LUA_MODULES

JAVA_CFLAGS=
JAVA_LIBS=-L/opt/j2sdk1.4.2_04/jre/lib/i386/server/ -ljvm
LUA_LIBS=-llua -llualib
CXXFLAGS=-Wall $(DEFINES) `pkg-config glib-2.0 libxml-2.0 libglade-2.0 gtkmm-2.4 --cflags`\
	-I../include -I../../../common/library/include -ggdb\
	-I../../../common/library/generic-runtime/include\
	-I../../../common/library/base-library/include\
	-I../../../common/source/linux\
	`mysql_config --cflags` `pcre-config --cflags` $(JAVA_CFLAGS)

LIBS=`pkg-config glib-2.0 libxml-2.0 --libs` `mysql_config --libs`\
	-L../../../common/library/source -lmysqlx\
	-L../../../common/source/linux -lmacommongui\
	`pcre-config --libs`\
	$(JAVA_LIBS) $(LUA_LIBS)

ALL: mt


mt: MigrationTool.o main.o
	$(CXX) -o $@ $^ $(LIBS)


mttest: mttest.o
	$(CC) $^ -L../../../common/library_grt/source -lgrt $(CFLAGS) $(LIBS) -o $@


clean:
	/bin/rm $(OBJS)

=== common/tools/FilelistConvertTool/source/Makefile ===
CXX=g++



TOOL_CFLAGS=`pkg-config libxml-2.0 --cflags` -I/usr/include/libxml2
TOOL_LIBS=`pkg-config libxml-2.0 --libs` -lxml2




flconv: filelist_convert_tool.cpp
	$(CXX) $^ -o $@ $(TOOL_CFLAGS) $(TOOL_LIBS) -ggdb3

=== debian/changelog ===
mysql-gui-tools (5.0r14+openSUSE-2.2ubuntu2) oneiric; urgency=low

  * s/G_CONST_RETURN/const/. LP: #770811.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 16:25:43 +0200

mysql-gui-tools (5.0r14+openSUSE-2.2ubuntu1) natty; urgency=low

  * 99-disable-GDK-deprecation.patch: fix FTBFS in amd64 because of function
    `gdk_gc_new' implicitly converted to pointer. This is done by dropping 
     GDK_DISABLE_DEPRECATED and possible because mysql-gui-tools has been
     superseded by sql workbench, not yet in Debian. This makes the package
     installable (LP: #683817)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 25 Apr 2011 07:11:49 +0200

mysql-gui-tools (5.0r14+openSUSE-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change source format to 3.0 (quilt), so that changes to upstream
    sources are kept in patches
  * Manpages moved inside debian/, avoid useless diff against
    upstream source
  * Store previous NMU in a patch (00-fix_FTBFS_GTK_WIDGET_STATE.patch)
  * Fix FTBFS on GNU/kFreeBSD, patch by Petr Salinger (Closes: #581402)
  * Fix FTBFS with newer libmysqlclient-dev, patch by Johann Felix Soden
    (Closes: #614136, #614477)
  * Fix FTBFS with binutils-gold, missing linkage to libz (Closes: #555864)

 -- David Paleino <dapal@debian.org>  Mon, 21 Mar 2011 10:14:52 +0100

mysql-gui-tools (5.0r14+openSUSE-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to deprecated GTK_WIDGET_STATE macro.  Thanks to Andreas
    Henriksson for the patch.  (Closes: #577310)  
  * debian/control: Add ${misc:Depends}.
  * Bump Standards-Version to 3.8.4 (no changes required).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 29 May 2010 19:20:22 +0100

mysql-gui-tools (5.0r14+openSUSE-2) unstable; urgency=low

  * debian/control:
    + Build depend on liblualib50-dev instead of liblua50-dev
    + move section to database
    + Add build depends on libgnomeprint2.2-dev

 -- Adam Majer <adamm@zombino.com>  Fri, 02 Oct 2009 20:50:35 -0500

mysql-gui-tools (5.0r14+openSUSE-1) unstable; urgency=low

  * New upstream release (closes: #548782, #527652 )
  * Lots of fixes thanks to great people at OpenSUSE. They were brave
    enough to wrestle this monster of a release into something that not
    only compiles, buy actually works.
  * Use git as the source tarball. Too many binary changes to make
    this work with original upstream tarball and diffs.
  * debian/control
    + Add Vcs-* info to debian/control
    + Use libgtkgtml3.14 instead of deprecated 3.8 (closes: #542015)

 -- Adam Majer <adamm@zombino.com>  Fri, 02 Oct 2009 14:49:47 -0500

mysql-gui-tools (5.0r12-1) unstable; urgency=low

  * Minor semantic corrections to the debian/copyright file.
  * Changed version string to represent upstream versioning.
    MySQL AB uses 'r' to indicate release number not
    release candidate or pre-release (closes: #474427)
  * Apply a small hack that seems to correct some sort of
    race condition by ignoring it - users report that the
    application functions correctly with this hack while it
    fails to function at all without it. Upstream is still
    investigating. (closes: #466623)
  * Acknowledge NMUs. Thanks!

 -- Adam Majer <adamm@zombino.com>  Mon, 21 Jul 2008 01:53:00 -0500

mysql-gui-tools (5.0~rc12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478411)
  * Bump Standards-Version to 3.8.0.
  * Ensure clean target is really clean to avoid FTBFS when built twice in a
    row.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 16:20:43 +0100

mysql-gui-tools (5.0~rc12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3.  Patch from Cyril Brulebois.  Closes: #455380. 

 -- Mark Hymers <mhy@debian.org>  Sat, 05 Apr 2008 23:33:42 +0000

mysql-gui-tools (5.0~rc12-2) unstable; urgency=low

  * Make Query Browser and Administrator conflict/replace previous,
    common versions of these packages from Etch. (closes: #443764)
  * Add build dependency on OpenGL development files (closes: #443716)
  * Added build dependency on uuid-dev

 -- Adam Majer <adamm@zombino.com>  Sun, 23 Sep 2007 22:49:31 -0500

mysql-gui-tools (5.0~rc12-1) unstable; urgency=low

  * New package replacing mysql-admin and mysql-query-browser

 -- Adam Majer <adamm@zombino.com>  Sun, 11 Sept 2007 11:01:23 -0500

=== debian/control ===
Source: mysql-gui-tools
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
Build-Depends: debhelper (>=7), libmysqlclient-dev, libxml2-dev, libglade2-dev, 
 libgtkmm-2.4-dev (>=1:2.6), libpcre3-dev, scrollkeeper, autotools-dev, 
 libgtkhtml3.14-dev, libxml-parser-perl, liblualib50-dev, 
 libgnomeprint2.2-dev,
 libglu-dev | libglu1-mesa-dev, uuid-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/mysql-gui-tools.git
Vcs-Git: git://git.debian.org/collab-maint/mysql-gui-tools.git
Homepage: http://dev.mysql.com/downloads/gui-tools/5.0.html

Package: mysql-admin
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, mysql-gui-tools-common (=${source:Version}), ${misc:Depends}
Recommends: mysql-query-browser
Conflicts: mysql-admin-common
Replaces: mysql-admin-common
Description: GUI tool for intuitive MySQL administration
 MySQL Administrator is a powerful visual administration console that 
 enables you to easily administer your MySQL environment and gain 
 significantly better visibility into how your databases are operating. 
 .
 MySQL Administrator integrates database management and maintenance 
 into a single, seamless environment, with a clear interface.

Package: mysql-query-browser
Architecture: any
Depends: mysql-gui-tools-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql-query-browser-common
Replaces: mysql-query-browser-common
Description: Official GUI tool to query MySQL database
 MySQL Query Browser is a visual database query tool with a syntax
 highlighting SQL editor. The result tables of may be edited 
 before changes are committed to the database.

Package: mysql-gui-tools-common
Architecture: all
Depends: ${misc:Depends}
Recommends: mysql-admin
Conflicts: mysql-query-browser-common, mysql-admin-common
Replaces: mysql-query-browser-common, mysql-admin-common
Description: Architecture independent files for MySQL GUI Tools
 Icons and GUI XML files used by MySQL Administrator, Query Browser
 and other tools in the MySQL GUI Tools suite. This package
 also includes documentation files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod +x debian/configupdate
	debian/configupdate update
	touch configure-stamp


build-common-stamp: configure-stamp
	cd common; \
	./configure --prefix=/usr --mandir=/usr/share/man \
				--infodir=/usr/share/info \
				--sysconfdir=/etc \
				--build=${DEB_BUILD_GNU_TYPE} \
				--host=${DEB_HOST_GNU_TYPE} \
				--enable-grt \
				--enable-canvas \
				--disable-dependency-tracking \
				--disable-java-modules; \
	$(MAKE)
	touch build-common-stamp

build-admin-stamp: configure-stamp build-common-stamp
	cd administrator; \
	./configure --prefix=/usr --mandir=/usr/share/man \
				--infodir=/usr/share/info \
				--sysconfdir=/etc \
				--build=${DEB_BUILD_GNU_TYPE} \
				--host=${DEB_HOST_GNU_TYPE} \
				--disable-dependency-tracking; \
	$(MAKE)
	touch build-admin-stamp


build-query-browser-stamp: configure-stamp build-common-stamp
	cd query-browser; \
	./configure --prefix=/usr --mandir=/usr/share/man \
				--infodir=/usr/share/info \
				--sysconfdir=/etc \
				--build=${DEB_BUILD_GNU_TYPE} \
				--host=${DEB_HOST_GNU_TYPE} \
				--with-gtkhtml=libgtkhtml-3.14 \
				--disable-dependency-tracking; \
	$(MAKE)
	touch build-query-browser-stamp


# build-workbench-stamp: configure-stamp build-common-stamp
# 	cd mysql-workbench; \
# 	./configure --prefix=/usr --mandir=/usr/share/man \
#				--infodir=/usr/share/info \
#				--sysconfdir=/etc \
#				--build=${DEB_BUILD_GNU_TYPE} \
#				--host=${DEB_HOST_GNU_TYPE} \
#				--disable-dependency-tracking; \
#	$(MAKE)
#	touch build-workbench-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: build-common-stamp build-admin-stamp build-query-browser-stamp # build-workbench-stamp
	touch build-arch-stamp

build-indep: build-arch-stamp build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	rm -f build-admin-stamp built-common-stamp build-common-stamp build-query-browser-stamp
	
	# Add here commands to clean up after the build process.
	for i in administrator common query-browser; do \
		cd $$i; if [ -e Makefile ]; then $(MAKE) distclean; fi; cd ..; \
	done

	# Removed extra crap left by upstream
	rm -f common/source/php/Makefile
	rm -f common/source/php/modules/Makefile
	rm -f common/po/*.gmo
	rm -f administrator/po/*.gmo
	rm -f administrator/po/*.po-merged
	rm -f query-browser/po/*.gmo
	rm -f query-browser/source/linux/gtksourceview/po/POTFILES
	
	# Reset config files	
	chmod +x debian/configupdate
	debian/configupdate reset
	
	dh_clean 

install-indep: install-arch
install-arch: install
#	dh_testdir
#	dh_testroot
#	dh_clean -k -i 
#	dh_installdirs -i
#
#	# Add here commands to install the indep part of the package into
#	# debian/<package>-doc.
#	#INSTALLDOC#
#
#	dh_install -i

# To build all we need arch, and vice-versa...
install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	# installing binaries
	cd administrator; $(MAKE) install DESTDIR=$(CURDIR)/debian/mysql-admin
	cd common; $(MAKE) install DESTDIR=$(CURDIR)/debian/mysql-gui-tools-common
	cd query-browser; $(MAKE) install DESTDIR=$(CURDIR)/debian/mysql-query-browser
	
	# fix mysql-administrator
	rm debian/mysql-admin/usr/bin/mysql-administrator
	mv debian/mysql-admin/usr/bin/mysql-administrator-bin debian/mysql-admin/usr/bin/mysql-admin
	
	# fix mysql-query-browser
	rm debian/mysql-query-browser/usr/bin/mysql-query-browser
	mv debian/mysql-query-browser/usr/bin/mysql-query-browser-bin debian/mysql-query-browser/usr/bin/mysql-query-browser

	# Remove extra directories from mysql-gui-common
	rmdir debian/mysql-gui-tools-common/usr/lib/mysql-gui
	rmdir debian/mysql-gui-tools-common/usr/lib
	
	# Install icons for the Debian menu
	cp debian/mysql-admin.xpm debian/mysql-admin/usr/share/pixmaps
	cp debian/mysql-query-browser.xpm debian/mysql-query-browser/usr/share/pixmaps
	
	dh_install

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.png -X.html
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

manpage: debian/mysql-admin.xml debian/mysql-query-browser.xml
	xsltproc -''-nonet /usr/share/apps/ksgmltools2/docbook/xsl/manpages/docbook.xsl debian/mysql-admin.xml
	xsltproc -''-nonet /usr/share/apps/ksgmltools2/docbook/xsl/manpages/docbook.xsl debian/mysql-query-browser.xml

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://mysql.mirror.rafal.ca/Downloads/MySQLGUITools/mysql-gui-tools-([^-]*).*\.tar\.gz	debian
